=== debian/changelog ===
rclone-browser (1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #920138)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 22 Jan 2019 04:31:02 +0100
