=== debian/control ===
Source: rclone-browser
Section: net
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
Standards-Version: 4.2.1
Homepage: https://github.com/mmozeiko/RcloneBrowser

Package: rclone-browser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rclone
Description: Simple cross platform GUI for rclone
 This is a GUI for rclone, which is a program to sync files and directories
 between the local file system and a variety of commercial cloud storage
 providers.
