## rclone-browser 1.2.1+rb2

=== debian/changelog ===
rclone-browser (1.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 16:18:59 +0800
