## rclone-browser 1.7.0

=== debian/changelog ===
rclone-browser (1.7.0-1) unstable; urgency=medium

  * New upstream version.
  * d/README.source: dropped, fixed upstream.
  * Update homepage.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Dec 2019 07:25:41 +0100
