=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
-Standards-Version: 4.2.1
-Homepage: https://github.com/mmozeiko/RcloneBrowser
+Standards-Version: 4.4.1
+Homepage: https://github.com/kapitainsky/RcloneBrowser
 
 Package: rclone-browser
 Architecture: any
