=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: rclone-browser
 Section: net
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), cmake, qtbase5-dev
-Standards-Version: 4.4.1
+Maintainer: Alex Myczko <tar@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ qtbase5-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/rclone-browser
+Vcs-Git: https://salsa.debian.org/debian/rclone-browser.git
 Homepage: https://github.com/kapitainsky/RcloneBrowser
 
 Package: rclone-browser
